Qt 5.6 | Qt 3D | C++ Classes | QLight

Qt 5.6.3 Reference Documentation

# QLight Class

(Qt3DRender::QLight)

Header: | #include <QLight>
qmake: | QT += 3drender
Instantiated By: | Light
Inherits: | QShaderData
Inherited By: | Qt3DRender::QPointLight

- List of all members, including inherited members

## Public Types

enum | Type { PointLight, DirectionalLight, SpotLight }

## Properties

- color : QColor
- intensity : float
- type : Type

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QLight(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QLight()
QColor | color() const
float | intensity() const
Type | type() const

- 1 public function inherited from Qt3DRender::QShaderData
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setColor(const QColor &color)
void | setIntensity(float intensity)
void | setType(Type type)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | colorChanged(const QColor &color)
void | intensityChanged(float intensity)
void | typeChanged(Type type)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QLight(QLightPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DRender::QShaderData
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Member Type Documentation

### enum QLight::Type

## Property Documentation

### color : QColor

Holds the current QLight color.

Access functions:

QColor | color() const
void | setColor(const QColor &color)

Notifier signal:

void | colorChanged(const QColor &color)

### intensity : float

Holds the current QLight intensity.

Access functions:

float | intensity() const
void | setIntensity(float intensity)

Notifier signal:

void | intensityChanged(float intensity)

### type : Type

Access functions:

Type | type() const
void | setType(Type type)

Notifier signal:

void | typeChanged(Type type)

## Member Function Documentation

### QLight::QLight(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QLight with the given parent.

### `[protected]` QLight::QLight(QLightPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QLight::~QLight()

Destroys the instance of QLight.

### `[protected]` void QLight::copy(const Qt3DCore::QNode *ref)